1. API reference
  2. Contacts

Create a contact

POSThttps://howdybell.com/api/v1/contacts

Create a new contact in the specified location. Provide the required fields such as first name and last name, along with optional details like email, phone, and company. The response returns the newly created contact record.

Request body

  • first_namestringRequired
    max 255 characters
  • last_namestringRequired
    max 255 characters
  • emailstring, nullable
    max 255 charactersemail
  • phonestring, nullable
    max 32 characters
  • companystring, nullable
    max 255 characters
  • sourcestring, nullable
    max 255 characters
  • intereststring, nullable
    max 255 characters
  • address1string, nullable
    max 255 characters
  • citystring, nullable
    max 255 characters
  • statestring, nullable
    max 2 characters
  • zipstring, nullable
    max 10 characters
  • timezonestring, nullable
  • dndboolean
  • owner_user_idinteger, nullable
  • external_refstring, nullable

    Your own ID for this contact, for example from another system. It must be unique across all contacts, deleted ones included; a duplicate answers 422.

    max 255 characters
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

201

  • idinteger
  • namestring
  • first_namestring
  • last_namestring
  • emailstring, nullable
  • phone_displaystring, nullable
  • intereststring, nullable
  • sourcestring, nullable
  • ownerobject, nullable
    • idinteger
    • namestring
  • tagsarray of string
  • stageobject, nullable
    • idinteger
    • namestring
    • kindstring
    • colorstring, nullable
  • value_centsinteger
  • last_activity_atstring, nullable
  • next_taskobject, nullable
    • idinteger
    • titlestring
    • due_atstring, nullable
    • overdueboolean
  • dndboolean
  • companystring, nullable
  • address1string, nullable
  • citystring, nullable
  • statestring, nullable
  • zipstring, nullable
  • timezonestring, nullable
  • created_atstring, nullable
  • updated_atstring, nullable
  • opportunitiesarray of string
  • tasksarray of string
  • notesarray of string
  • conversationsarray of string
  • activitiesarray of string

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/contacts" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "first_name": "Ada",
  "last_name": "Lovelace",
  "email": "[email protected]",
  "phone": "+15125550123",
  "company": "string",
  "source": "string",
  "interest": "string",
  "address1": "string",
  "city": "string",
  "state": "string",
  "zip": "string",
  "timezone": "string",
  "dnd": true,
  "owner_user_id": 1,
  "external_ref": "string",
  "location_id": 1
}'
Response201
{
  "id": 1,
  "name": "Ada Lovelace",
  "first_name": "Ada",
  "last_name": "Lovelace",
  "email": "[email protected]",
  "phone_display": "+15125550123",
  "interest": "string",
  "source": "string",
  "owner": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "tags": [
    "string"
  ],
  "stage": {
    "id": 1,
    "name": "Ada Lovelace",
    "kind": "string",
    "color": "string"
  },
  "value_cents": 1,
  "last_activity_at": "string",
  "next_task": {
    "id": 1,
    "title": "string",
    "due_at": "string",
    "overdue": true
  },
  "dnd": true,
  "company": "string",
  "address1": "string",
  "city": "string",
  "state": "string",
  "zip": "string",
  "timezone": "string",
  "created_at": "string",
  "updated_at": "string",
  "opportunities": [
    "string"
  ],
  "tasks": [
    "string"
  ],
  "notes": [
    "string"
  ],
  "conversations": [
    "string"
  ],
  "activities": [
    "string"
  ]
}
Create a contact (POST /api/v1/contacts) | HowdyBell Developers